#!/bin/sh
# if we installed somewhere other than /opt/SAS
# we need to make /opt/SAS point to the real installation
if [ ! -e /opt/SAS ] ; then
  ln -s /YYY/SAS  /opt/SAS
fi

# make symbolic link so Teradata can find our executable
ln -s /opt/SAS/SASTKInDatabaseServerForTeradata/9.31/utilities/bin/tktera /opt/SAS/tktera

> /opt/SAS/SASmsg
> /opt/SAS/SASmsg_sastbl
> /opt/SAS/SASmsg_tkmain
> /opt/SAS/SASmsg_udfsrv
> /opt/SAS/SASmsg_udfctl
> /opt/SAS/SASmsg_bulkops
> /opt/SAS/SASmsg_fetch
> /opt/SAS/SASmsg_prepare
> /opt/SAS/SASmsg_jnl
> /opt/SAS/sasenv.cfg

echo "debug_level     = 1"                                                                                                                  >> /opt/SAS/sasenv.cfg 
echo "jnl             = 0"                                                                                                                  >> /opt/SAS/sasenv.cfg 
#echo "LD_LIBRARY_PATH = /opt/SAS/SASTKInDatabaseServerForTeradata/9.31/sasexe:/usr/tdbms/lib:/usr/pde/lib"                                  >> /opt/SAS/sasenv.cfg 
echo "TKPATH          = /opt/SAS/SASTKInDatabaseServerForTeradata/9.31/sasexe:/opt/SAS/SASTKInDatabaseServerForTeradata/9.31/utilities/bin" >> /opt/SAS/sasenv.cfg 

mkdir     /opt/SAS/work
mkdir     /opt/SAS/glopdata

chmod    777 /opt/SAS/work
chmod    775 /opt/SAS/glopdata
chmod    640 /opt/SAS/sasenv.cfg
chmod    664 /opt/SAS/SASmsg*
chmod -R 755 /opt/SAS/SASTKInDatabaseServerForTeradata/9.31/sasexe
chmod -R 755 /opt/SAS/SASTKInDatabaseServerForTeradata/9.31/utilities/bin
chown -R tdatuser:tdatudf   /opt/SAS

# remove the pkf file
if [ -e /tkindbsrv.pkf ] ; then
  rm /tkindbsrv.pkf
fi

